--[[
	TODO:
	- Disable all events when not in a raid
	- Enable dynamically when joining a raid
	- Broadcast for an update after joining a raid, to get everyone's current cooldowns
	- Version check
]]

local MINOR_VERSION = tonumber(("$Revision: 71019 $"):match("%d+"))
--local L = LibStub("AceLocale-3.0"):GetLocale("RaidCooldowns")

RaidCooldowns = LibStub("AceAddon-3.0"):NewAddon("RaidCooldowns", "AceComm-3.0", "AceEvent-3.0")
RaidCooldowns.MINOR_VERSION = MINOR_VERSION

function RaidCooldowns:OnInitialize()
	self:UnregisterAllEvents()

	self.prefix = "RaCD"
	self:RegisterComm(self.prefix)
end

function RaidCooldowns:OnEnable()
end

function RaidCooldowns:OnDisable()
end

--------------[[		Comm Methods		]]--------------

function RaidCooldowns:OnCommReceived(prefix, msg, distro, sender)
	-- We don't do anything with these yet, but RaidCooldowns_Display does!
end