assert(RaidCooldowns, "RaidCooldowns not found!")
if (select(2, UnitClass("player"))) ~= "PALADIN" then return end

local mod = RaidCooldowns:NewModule("Paladin", RaidCooldowns.ModuleBase, "AceEvent-3.0")
mod.cooldowns = {
	[GetSpellInfo(1020)]  = { id = 1020,  cd = 300 },  -- Divine Shield (Rank 2)
	[GetSpellInfo(10278)] = { id = 10278, cd = 1800 }, -- Blessing of Protection (Rank 3)
	[GetSpellInfo(19752)] = { id = 19752, cd = 3600 }, -- Divine Intervention
}

function mod:OnInitialize()
	self:Super("OnInitialize")
end

function mod:OnEnable()
	self:Super("OnEnable")
end

function mod:ScanTalents()
	-- Guardian's Favor (Tab 2, Index 4)
	-- Reduce BoP cooldown by Rank * 60
	local _, _, _, _, rank = GetTalentInfo(2, 4)
	self:CooldownModifier(10278, rank * 60)
end